### Method

# Gimp Drawable get_sub_thumbnail_data

#### Declaration [src]

    guchar*
    gimp_drawable_get_sub_thumbnail_data (
      GimpDrawable* drawable,
      gint src_x,
      gint src_y,
      gint src_width,
      gint src_height,
      gint* dest_width,
      gint* dest_height,
      gint* bpp
    )

#### Description [src]

Retrieves thumbnail data for the drawable identified by `drawable`. The thumbnail will be not larger than the requested size.

#### Parameters

`src_x`

  Type: `gint`

  The x coordinate of the area.

`src_y`

  Type: `gint`

  The y coordinate of the area.

`src_width`

  Type: `gint`

  The width of the area.

`src_height`

  Type: `gint`

  The height of the area.

`dest_width`

  Type: `gint*`

  The requested thumbnail width (<= 1024 pixels)

  The argument will be modified by the function.

`dest_height`

  Type: `gint*`

  The requested thumbnail height (<= 1024 pixels)

  The argument will be modified by the function.

`bpp`

  Type: `gint*`

  The bytes per pixel of the returned thumbnail data.

  The argument will be set by the function.

#### Return value

Type: An array of `guchar`

Thumbnail data or `NULL` if `drawable` is invalid.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.